<?

class Validator extends Component {


    function display() {
        echo("<input type=hidden name=\"validator_".$this->name."\" value=\"".get_class($this)."\">");
        if(!empty($_REQUEST["action"]) && !$this->valid && isset($_REQUEST[$this->name])) {
            parent::display();
        } 
    }


    function doValid() {
    	return $this->valid = $this->isValid();    
    }
}

?>
